<?xml version='1.0' encoding='UTF-8'?>
<MorpheusModel version="4">
    <Description>
        <Title>Modelo difusion de los GAP genes en Drosophila Melanogaster</Title>
        <Details> Este modelo muestra la acción de los maternal effect genes y los Gap genes sobre la expresión del gen Even-skipped (Eve) </Details>
    </Description>
    <Global>
        <System solver="Euler [fixed, O(1)]" time-step="1.0">
            <DiffEqn symbol-ref="BICOID">
                <Expression>p_bicoid-deg_bicoid*BICOID</Expression>
            </DiffEqn>
            <DiffEqn symbol-ref="M_NANOS">
                <Expression>p_nanos-deg_nanos*M_NANOS</Expression>
            </DiffEqn>
            <DiffEqn symbol-ref="HUNCHBACK">
                <Expression>p_hunchback-deg_hunchback*HUNCHBACK</Expression>
            </DiffEqn>
            <DiffEqn symbol-ref="CAUDAL">
                <Expression>p_caudal-deg_caudal*CAUDAL</Expression>
            </DiffEqn>
            <DiffEqn symbol-ref="GIANT">
                <Expression>p_giant-deg_giant*GIANT</Expression>
            </DiffEqn>
            <DiffEqn symbol-ref="KRUPPEL">
                <Expression>p_kruppel-deg_kruppel*KRUPPEL</Expression>
            </DiffEqn>
            <DiffEqn symbol-ref="KNIRPS">
                <Expression>p_knirps-deg_knirps*KNIRPS</Expression>
            </DiffEqn>
            <DiffEqn symbol-ref="TAILLESS">
                <Expression>p_tailless-deg_tailless*TAILLESS </Expression>
            </DiffEqn>
            <DiffEqn symbol-ref="EVE_REP">
                <Expression>p_eve_rep-deg_eve_rep*EVE_REP</Expression>
            </DiffEqn>
            <DiffEqn symbol-ref="EVE_REP_CONS">
                <Expression>p_eve_rep_cons-deg_eve_rep_cons*EVE_REP_CONS</Expression>
            </DiffEqn>
            <Constant value="0.000" symbol="deg_bicoid"/>
            <Constant value="0.000" symbol="deg_nanos"/>
            <Constant value="0.146" symbol="deg_hunchback"/>
            <Constant value="0.00243" symbol="deg_caudal"/>
            <Constant value="0.067" symbol="deg_kruppel"/>
            <Constant value="0.087" symbol="deg_giant"/>
            <Constant value="0.065" symbol="deg_knirps"/>
            <Constant value="0.000" symbol="deg_tailless"/>
            <Constant value="1" symbol="deg_eve_rep_cons"/>
            <Constant value="0.03" symbol="deg_eve_rep"/>
            <DiffEqn symbol-ref="REP_EVE_REP_CONS">
                <Expression>p_rep_eve_rep_cons-deg_rep_eve_rep_cons*REP_EVE_REP_CONS</Expression>
            </DiffEqn>
            <Constant value="0.001" symbol="deg_rep_eve_rep_cons"/>
            <DiffEqn symbol-ref="EVE">
                <Expression>p_eve-deg_eve*EVE</Expression>
            </DiffEqn>
            <Constant value="0" symbol="deg_eve"/>
            <!--    <Disabled>
        <Rule symbol-ref="BICOID">
            <Expression>0.0</Expression>
        </Rule>
    </Disabled>
-->
        </System>
        <Field name="Morphogen_Bicoid" value="0.0294*((l.x/10)^2)-4.789*(l.x/10)+191.88" symbol="BICOID">
            <Diffusion rate="0.16"/>
        </Field>
        <Field name="Morphogen_Nanos" value="0.031*((l.x/10)^2)-1.81*(l.x/10)+16.92" symbol="M_NANOS">
            <Diffusion rate="0.16"/>
        </Field>
        <Field name="Morphogen_Hunchback" value="-1.189e-05*(l.x/10)^4 +0.002885 * (l.x/10)^3 -0.2223 *(l.x/10)^2 + 4.661 * (l.x/10) + 61" symbol="HUNCHBACK">
            <Diffusion rate="2.16"/>
        </Field>
        <Field name="Morphogen_Caudal" value="-0.0008175 *(l.x/10)^3 + 0.09382 *(l.x/10)^2 -0.5582 *(l.x/10) + 1" symbol="CAUDAL">
            <Diffusion rate="2.25"/>
        </Field>
        <Field name="Morphogen" value="0" symbol="KRUPPEL">
            <Diffusion rate="0.67"/>
        </Field>
        <Field name="Morphogen" value="0" symbol="GIANT">
            <Diffusion rate="0.4"/>
        </Field>
        <Field name="Morphogen" value="0" symbol="KNIRPS">
            <Diffusion rate="0.9"/>
        </Field>
        <Field name="Morphogen" value="37.81*exp(-1*(((l.x/10)-15)/4.48)^2)+143.2*exp(-1*(((l.x/10)-93.72)/8.137)^2)" symbol="TAILLESS">
            <Diffusion rate="0"/>
        </Field>
        <Field value="0" symbol="EVE_REP">
            <Diffusion rate="5"/>
        </Field>
        <Field value="0" symbol="EVE_REP_CONS">
            <Diffusion rate="0.0"/>
        </Field>
        <Field value="0" symbol="REP_EVE_REP_CONS">
            <Diffusion rate="4"/>
        </Field>
        <Field value="0" symbol="EVE">
            <Diffusion rate="0"/>
        </Field>
    </Global>
    <Space>
        <Lattice class="square">
            <Size value="1000, 1000, 0" symbol="size"/>
            <BoundaryConditions>
                <Condition type="noflux" boundary="x"/>
                <Condition type="noflux" boundary="y"/>
                <Condition type="noflux" boundary="-x"/>
                <Condition type="noflux" boundary="-y"/>
            </BoundaryConditions>
            <Neighborhood>
                <!--    <Disabled>
        <Order>2</Order>
    </Disabled>
-->
                <Distance>2.5</Distance>
            </Neighborhood>
            <Domain boundary-type="noflux">
                <Image path="domain.tif"/>
            </Domain>
        </Lattice>
        <SpaceSymbol symbol="l"/>
    </Space>
    <Time>
        <StartTime value="0"/>
        <StopTime value="500"/>
        <TimeSymbol symbol="time"/>
    </Time>
    <CellTypes>
        <CellType name="medium" class="medium">
            <Property value="0.0" symbol="clone"/>
            <Variable value="0" symbol="p_bicoid"/>
            <Variable value="0" symbol="p_caudal"/>
            <Variable value="0" symbol="p_giant"/>
            <Variable value="0" symbol="p_kruppel"/>
            <Variable value="0" symbol="p_nanos"/>
            <Variable value="0" symbol="p_hunchback"/>
            <Variable value="0" symbol="p_knirps"/>
            <Variable value="0" symbol="p_tailless"/>
            <Property value="0" symbol="p_eve_rep_cons"/>
            <Property value="0" symbol="p_eve_rep"/>
            <Property value="0" symbol="p_rep_eve_rep_cons"/>
            <Property value="0" symbol="p_eve"/>
        </CellType>
        <CellType name="White_cells_true" class="biological">
            <VolumeConstraint target="300" strength="1"/>
            <SurfaceConstraint target="1" mode="aspherity" strength="1"/>
            <Property value="1.0" symbol="clone"/>
            <Property value="0" symbol="p_bicoid"/>
            <Property value="0" symbol="p_nanos"/>
            <Property value="0" symbol="p_hunchback"/>
            <Property value="0" symbol="p_caudal"/>
            <Property value="0" symbol="p_kruppel"/>
            <Property value="0" symbol="p_giant"/>
            <Property value="0" symbol="p_knirps"/>
            <Property value="0" symbol="p_tailless"/>
            <Property value="1" symbol="p_eve_rep_cons"/>
            <Property value="0" symbol="p_eve_rep"/>
            <Property value="0" symbol="p_rep_eve_rep_cons"/>
            <Property value="0" symbol="p_eve"/>
            <Mapper name="Map_Bicoid">
                <Input value="BICOID"/>
                <Output mapping="average" symbol-ref="con_bicoid"/>
            </Mapper>
            <Property value="0" symbol="con_bicoid"/>
            <Mapper name="Map_Nanos">
                <Input value="M_NANOS"/>
                <Output mapping="average" symbol-ref="con_nanos"/>
            </Mapper>
            <Property value="0" symbol="con_nanos"/>
            <Mapper name="Map_Caudal">
                <Input value="CAUDAL"/>
                <Output mapping="average" symbol-ref="con_caudal"/>
            </Mapper>
            <Property value="0" symbol="con_caudal"/>
            <Mapper name="Map_Hunchback">
                <Input value="HUNCHBACK"/>
                <Output mapping="average" symbol-ref="con_hunchback"/>
            </Mapper>
            <Property value="0" symbol="con_hunchback"/>
            <Mapper name="Map_Kruppel">
                <Input value="KRUPPEL"/>
                <Output mapping="average" symbol-ref="con_kruppel"/>
            </Mapper>
            <Property value="0" symbol="con_kruppel"/>
            <Mapper name="Map_Giant">
                <Input value="GIANT"/>
                <Output mapping="average" symbol-ref="con_giant"/>
            </Mapper>
            <Property value="0" symbol="con_giant"/>
            <Mapper name="Map_Knirps">
                <Input value="KNIRPS"/>
                <Output mapping="average" symbol-ref="con_knirps"/>
            </Mapper>
            <Property value="0" symbol="con_knirps"/>
            <Mapper name="Map_Tailless">
                <Input value="TAILLESS"/>
                <Output mapping="average" symbol-ref="con_tailless"/>
            </Mapper>
            <Property value="0" symbol="con_tailless"/>
            <Mapper name="Map_Eve_Rep">
                <Input value="EVE_REP"/>
                <Output mapping="average" symbol-ref="con_eve_rep"/>
            </Mapper>
            <Property value="0" symbol="con_eve_rep"/>
            <Mapper name="Map_Eve_Rep_Cons">
                <Input value="EVE_REP_CONS"/>
                <Output mapping="average" symbol-ref="con_eve_rep_cons"/>
            </Mapper>
            <Property value="0" symbol="con_eve_rep_cons"/>
            <Mapper name="Map_Rep_Eve_Rep_Cons">
                <Input value="REP_EVE_REP_CONS"/>
                <Output mapping="average" symbol-ref="con_rep_eve_rep_cons"/>
            </Mapper>
            <Property value="0" symbol="con_rep_eve_rep_cons"/>
            <Mapper name="Map_Rep_Eve_Rep_Cons">
                <Input value="EVE"/>
                <Output mapping="average" symbol-ref="con_eve"/>
            </Mapper>
            <Property value="0" symbol="con_eve"/>
            <System name="Morphogenes" solver="Euler [fixed, O(1)]" time-step="1.0">
                <Rule symbol-ref="p_hunchback">
                    <Expression>if((con_bicoid>19 or con_hunchback>49 or con_tailless>101) and con_caudal&lt;122 and con_kruppel&lt;139 and con_knirps&lt;4 and con_nanos&lt;110, 31.3, 0) 
</Expression>
                </Rule>
                <Rule symbol-ref="p_caudal">
                    <Expression>if((con_nanos>125) and con_hunchback&lt;61, 7.65, 0)</Expression>
                </Rule>
                <Rule symbol-ref="p_kruppel">
                    <Expression>if((con_bicoid>9 or con_kruppel>103 or con_caudal>151) and con_hunchback&lt;176.98 and con_giant&lt;4 and con_knirps&lt;115 and con_tailless&lt;20 and time>4, 16.3, 0)</Expression>
                </Rule>
                <Rule symbol-ref="p_giant">
                    <Expression>if((con_bicoid>40 or con_caudal>133 or con_giant>85) and con_kruppel&lt;15 and con_tailless&lt;102 and time>4, 16.1, 0)</Expression>
                </Rule>
                <Rule symbol-ref="p_knirps">
                    <Expression>if((con_bicoid>5 or con_caudal>152 or con_knirps>94) and con_hunchback&lt;7 and con_kruppel&lt;141 and con_giant&lt;220 and con_tailless&lt;18 and time>4, 17, 0)</Expression>
                </Rule>
                <Rule symbol-ref="p_eve_rep">
                    <Expression>if(con_hunchback>40 and con_giant&lt;30 and con_kruppel&lt;10 and time>40, 50, 
if(con_eve>14, 50, 0)
)</Expression>
                </Rule>
                <Rule symbol-ref="p_rep_eve_rep_cons">
                    <Expression>if(con_hunchback>40 and con_giant&lt;30 and con_kruppel&lt;10 and time>40, 50, 
if(con_eve>14, 50, 0)
)</Expression>
                </Rule>
                <Rule symbol-ref="p_eve_rep_cons">
                    <Expression>if(con_rep_eve_rep_cons>0.1, 0, 1)</Expression>
                </Rule>
                <Rule symbol-ref="p_eve">
                    <Expression>if(con_hunchback>40 and con_giant&lt;30 and con_kruppel&lt;10 and con_nanos&lt;105 and time>40, 2, 
if(con_eve_rep&lt;0.1 and con_eve_rep_cons&lt;0.1 and con_bicoid&lt;70 and con_nanos&lt;115, 2, 0)
)</Expression>
                </Rule>
                <Rule symbol-ref="clone">
                    <Expression> if(con_eve>1, 1, 0)</Expression>
                </Rule>
            </System>
        </CellType>
    </CellTypes>
    <CPM>
        <Interaction>
            <!--    <Disabled>
        <Contact value="1" type1="amoeba" type2="medium"/>
    </Disabled>
-->
        </Interaction>
        <MonteCarloSampler stepper="edgelist">
            <MCSDuration value="1"/>
            <Neighborhood>
                <Order>2</Order>
            </Neighborhood>
            <MetropolisKinetics temperature="0.2"/>
        </MonteCarloSampler>
        <ShapeSurface scaling="norm">
            <Neighborhood>
                <Distance>2.5</Distance>
            </Neighborhood>
        </ShapeSurface>
    </CPM>
    <CellPopulations>
        <Population size="0" type="White_cells_true">
            <InitRectangle number-of-cells="2800" mode="regular">
                <Dimensions size="960, 450, 0" origin="20,250, 0"/>
            </InitRectangle>
        </Population>
    </CellPopulations>
    <Analysis>
        <Gnuplotter time-step="5" decorate="false">
            <Terminal name="png" persist="true"/>
            <Plot>
                <!--    <Disabled>
        <Field symbol-ref="GIANT">
            <ColorMap>
                <Color value="0.0" color="white"/>
                <Color value="1.0" color="blue"/>
            </ColorMap>
        </Field>
    </Disabled>
-->
                <Cells value="clone" opacity="0.55">
                    <ColorMap>
                        <Color value="0.0" color="white"/>
                        <Color value="1.0" color="white"/>
                        <Color value="2.0" color="green"/>
                        <Color value="3.0" color="orange"/>
                        <Color value="4.0" color="light-blue"/>
                        <Color value="5.0" color="gold"/>
                    </ColorMap>
                </Cells>
            </Plot>
        </Gnuplotter>
        <!--    <Disabled>
        <Logger time-step="1">
            <Input>
                <Symbol symbol-ref="HUNCHBACK"/>
                <Symbol symbol-ref="BICOID"/>
                <Symbol symbol-ref="CAUDAL"/>
                <Symbol symbol-ref="NANOS"/>
                <Symbol symbol-ref="TAILLESS"/>
                <Disabled>
                    <Symbol symbol-ref="KRUPPEL"/>
                </Disabled>
                <Disabled>
                    <Symbol symbol-ref="GIANT"/>
                </Disabled>
                <Disabled>
                    <Symbol symbol-ref="KNIRPS"/>
                </Disabled>
            </Input>
            <Output>
                <TextOutput file-numbering="sequential" file-format="csv" file-name="automatic"/>
            </Output>
            <Plots>
                <Plot file-numbering="time" time-step="5">
                    <Style style="points" point-size="1.0" grid="true"/>
                    <Terminal terminal="png"/>
                    <X-axis>
                        <Symbol symbol-ref="l.x"/>
                    </X-axis>
                    <Y-axis>
                        <Symbol symbol-ref="HUNCHBACK"/>
                        <Symbol symbol-ref="BICOID"/>
                        <Symbol symbol-ref="CAUDAL"/>
                        <Symbol symbol-ref="NANOS"/>
                        <Symbol symbol-ref="TAILLESS"/>
                        <Disabled>
                            <Symbol symbol-ref="KRUPPEL"/>
                        </Disabled>
                        <Disabled>
                            <Symbol symbol-ref="GIANT"/>
                        </Disabled>
                        <Disabled>
                            <Symbol symbol-ref="KNIRPS"/>
                        </Disabled>
                    </Y-axis>
                </Plot>
            </Plots>
        </Logger>
    </Disabled>
-->
        <ModelGraph format="dot" reduced="false" include-tags="#untagged"/>
    </Analysis>
</MorpheusModel>
